#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './rawfilesettingsdialog.ui'
**
** Created: Thu Jan 24 23:35:05 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "rawfilesettingsdialog.h"

#include <qbuttongroup.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a RawFileSettingsDialog which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
RawFileSettingsDialog::RawFileSettingsDialog( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "RawFileSettingsDialog" );
    resize( 431, 283 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, sizePolicy().hasHeightForWidth() ) );
    setCaption( i18n( "KvoulumeRenderer raw import" ) );
    RawFileSettingsDialogLayout = new QVBoxLayout( this ); 
    RawFileSettingsDialogLayout->setSpacing( 6 );
    RawFileSettingsDialogLayout->setMargin( 11 );

    infotext = new QLabel( this, "infotext" );
    infotext->setText( i18n( "I've found no .INFO file so have to specify the settings manually!" ) );
    infotext->setAlignment( int( QLabel::AlignCenter ) );
    RawFileSettingsDialogLayout->addWidget( infotext );

    ButtonGroup2 = new QButtonGroup( this, "ButtonGroup2" );
    ButtonGroup2->setTitle( i18n( "voxel space settings" ) );
    ButtonGroup2->setColumnLayout(0, Qt::Vertical );
    ButtonGroup2->layout()->setSpacing( 0 );
    ButtonGroup2->layout()->setMargin( 0 );
    ButtonGroup2Layout = new QHBoxLayout( ButtonGroup2->layout() );
    ButtonGroup2Layout->setAlignment( Qt::AlignTop );
    ButtonGroup2Layout->setSpacing( 6 );
    ButtonGroup2Layout->setMargin( 11 );

    Layout1 = new QGridLayout; 
    Layout1->setSpacing( 6 );
    Layout1->setMargin( 0 );

    TextLabel2 = new QLabel( ButtonGroup2, "TextLabel2" );
    TextLabel2->setText( i18n( "width" ) );
    TextLabel2->setAlignment( int( QLabel::AlignCenter ) );

    Layout1->addWidget( TextLabel2, 0, 1 );

    DepthSpin = new QSpinBox( ButtonGroup2, "DepthSpin" );
    DepthSpin->setMaxValue( 2048 );
    DepthSpin->setMinValue( 1 );

    Layout1->addWidget( DepthSpin, 1, 3 );

    TextLabel2_2_2 = new QLabel( ButtonGroup2, "TextLabel2_2_2" );
    TextLabel2_2_2->setText( i18n( "depth" ) );
    TextLabel2_2_2->setAlignment( int( QLabel::AlignCenter ) );

    Layout1->addWidget( TextLabel2_2_2, 0, 3 );

    HeightSpin = new QSpinBox( ButtonGroup2, "HeightSpin" );
    HeightSpin->setMaxValue( 2048 );
    HeightSpin->setMinValue( 1 );

    Layout1->addWidget( HeightSpin, 1, 2 );

    TextLabel2_2 = new QLabel( ButtonGroup2, "TextLabel2_2" );
    TextLabel2_2->setText( i18n( "height" ) );
    TextLabel2_2->setAlignment( int( QLabel::AlignCenter ) );

    Layout1->addWidget( TextLabel2_2, 0, 2 );

    TextLabel3 = new QLabel( ButtonGroup2, "TextLabel3" );
    TextLabel3->setText( i18n( "Dimensions:" ) );

    Layout1->addWidget( TextLabel3, 1, 0 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( spacer, 0, 0 );

    WidthSpin = new QSpinBox( ButtonGroup2, "WidthSpin" );
    WidthSpin->setMaxValue( 2048 );
    WidthSpin->setMinValue( 1 );

    Layout1->addWidget( WidthSpin, 1, 1 );
    ButtonGroup2Layout->addLayout( Layout1 );

    sizelabel = new QLabel( ButtonGroup2, "sizelabel" );
    sizelabel->setMargin( 0 );
    sizelabel->setText( i18n( "1 Byte" ) );
    sizelabel->setAlignment( int( QLabel::AlignBottom | QLabel::AlignLeft ) );
    QToolTip::add(  sizelabel, i18n( "size hint (memory usage)" ) );
    ButtonGroup2Layout->addWidget( sizelabel );
    RawFileSettingsDialogLayout->addWidget( ButtonGroup2 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setTitle( i18n( "sample settings" ) );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 0 );
    ButtonGroup1->layout()->setMargin( 0 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );
    ButtonGroup1Layout->setSpacing( 6 );
    ButtonGroup1Layout->setMargin( 11 );

    TextLabel5 = new QLabel( ButtonGroup1, "TextLabel5" );
    TextLabel5->setText( i18n( "endianess:" ) );
    QToolTip::add(  TextLabel5, i18n( "byte mapping for formats longer than a byte" ) );

    ButtonGroup1Layout->addWidget( TextLabel5, 2, 0 );

    MappingCombo = new QComboBox( FALSE, ButtonGroup1, "MappingCombo" );
    MappingCombo->insertItem( i18n( "take MSB's" ) );

    ButtonGroup1Layout->addMultiCellWidget( MappingCombo, 1, 1, 2, 3 );

    TextLabel6 = new QLabel( ButtonGroup1, "TextLabel6" );
    TextLabel6->setText( i18n( "mapping:" ) );
    QToolTip::add(  TextLabel6, i18n( "how should I convert the data into the internal representation?" ) );

    ButtonGroup1Layout->addWidget( TextLabel6, 1, 0 );

    TextLabel4 = new QLabel( ButtonGroup1, "TextLabel4" );
    TextLabel4->setText( i18n( "sample format:" ) );

    ButtonGroup1Layout->addMultiCellWidget( TextLabel4, 0, 0, 0, 1 );

    FormatCombo = new QComboBox( FALSE, ButtonGroup1, "FormatCombo" );
    FormatCombo->insertItem( i18n( "256 Color (unsigned 8 Bit)" ) );
    FormatCombo->insertItem( i18n( "65k Color (unsigned 16 Bit)" ) );

    ButtonGroup1Layout->addMultiCellWidget( FormatCombo, 0, 0, 2, 3 );

    LittleEndianRadio = new QRadioButton( ButtonGroup1, "LittleEndianRadio" );
    LittleEndianRadio->setText( i18n( "Little Endian" ) );
    LittleEndianRadio->setChecked( TRUE );
    QToolTip::add(  LittleEndianRadio, i18n( "Intel (80x86),..." ) );

    ButtonGroup1Layout->addWidget( LittleEndianRadio, 2, 1 );

    BigEndianRadio = new QRadioButton( ButtonGroup1, "BigEndianRadio" );
    BigEndianRadio->setText( i18n( "Big Endian" ) );
    QToolTip::add(  BigEndianRadio, i18n( "Sun, Internet, ..." ) );

    ButtonGroup1Layout->addWidget( BigEndianRadio, 2, 2 );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup1Layout->addItem( spacer_2, 2, 3 );
    RawFileSettingsDialogLayout->addWidget( ButtonGroup1 );

    Layout2 = new QHBoxLayout; 
    Layout2->setSpacing( 6 );
    Layout2->setMargin( 0 );

    CancelButton = new QPushButton( this, "CancelButton" );
    CancelButton->setText( i18n( "Cancel" ) );
    Layout2->addWidget( CancelButton );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout2->addItem( spacer_3 );

    OkButton = new QPushButton( this, "OkButton" );
    OkButton->setText( i18n( "Ok" ) );
    Layout2->addWidget( OkButton );
    RawFileSettingsDialogLayout->addLayout( Layout2 );

    // signals and slots connections
    connect( OkButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( CancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( WidthSpin, SIGNAL( valueChanged(int) ), this, SLOT( slotGiveSizeHint() ) );
    connect( HeightSpin, SIGNAL( valueChanged(int) ), this, SLOT( slotGiveSizeHint() ) );
    connect( DepthSpin, SIGNAL( valueChanged(int) ), this, SLOT( slotGiveSizeHint() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
RawFileSettingsDialog::~RawFileSettingsDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

void RawFileSettingsDialog::slotGiveSizeHint()
{
    qWarning( "RawFileSettingsDialog::slotGiveSizeHint(): Not implemented yet!" );
}

#include "rawfilesettingsdialog.moc"
