/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Jan 21 11:14:26 CET 2002
    copyright            : (C) 2002 by Ruediger Knoerig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kvoulumerenderer.h"

static const char *description =
	I18N_NOOP("KvoulumeRenderer");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "kvoulumerenderer", I18N_NOOP("KvoulumeRenderer"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2000, Ruediger Knoerig", 0, 0, "ruediger@knoerig.de");
	aboutData.addAuthor("Ruediger Knoerig",I18N_NOOP("Maintainer"), "ruediger@knoerig.de");
	
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KvoulumeRendererApp);
  }
  else 
  {
    KvoulumeRendererApp *testmdi = new KvoulumeRendererApp();
    testmdi->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
			for(int i=0;i<args->count();i++)
			{
        testmdi->openDocumentFile(args->arg(i));
		  }
		}
		else
		{
		  testmdi->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
